#ifndef Karte_H
#define Karte_H

#include <Bild.h>
#include <Rahmen.h>

using namespace Framework;

class Kamera;

class Karte : public virtual ReferenceCounter
{
private:
    int karteId;
    Bild *map;
    LRahmen *rahmen;

public:
    // Konstruktor
    Karte();
    // Destruktor
    ~Karte();
    // nicht constant
    void setSize( int br, int h );
    void setId( int id );
    void render( Kamera *zKam, Bild &zRObj );
    // constant
    int getId() const;
    int getBreite() const;
    int getHeight() const;
    Bild *zMap() const;
};

#endif